Name:            perl-Crypt-OpenSSL-Random
Version:         0.15
Release:         4
Summary:         LibreSSL pseudo-random number generator access
License:         GPL+ or Artistic
Group:           Development/Libraries
URL:             https://metacpan.org/release/Crypt-OpenSSL-Random
Source0:         https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Crypt-OpenSSL-Random-%{version}.tar.gz
BuildRequires:   gcc openssl openssl-devel coreutils findutils make
BuildRequires:   perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires:   perl(Crypt::OpenSSL::Guess) >= 0.11
BuildRequires:   perl(Exporter) perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:   perl(Test::More) perl(vars) perl(XSLoader)

Requires:        perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
"Crypt::OpenSSL::Random" provides the ability to seed and query the
OpenSSL and LibreSSL library's pseudo-random number generators.

%package_help

%prep
%autosetup -n Crypt-OpenSSL-Random-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install

find %{buildroot} -type f \( -name .packlist -o \
        -name '*.bs' -empty \) -exec rm -f {} \;
find %{buildroot} -depth -type d -empty -exec rmdir {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/

%files help
%{_mandir}/man3/*

%changelog
* Wed Nov 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.15-4
- Package init